gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object Groups of global keyboard accelerators for an entire GtkWindow

A GtkAccelGroup represents a group of keyboard accelerators, typically attached to a toplevel (with ). Usually you won't need to create a directly; instead, when using , Gtk# automatically sets up the accelerators for your menus in the item factory's .

Note that accelerators are different from mnemonics. Accelerators are shortcuts for activating a menu item; they appear alongside the menu item they are a shortcut for. For example "Ctrl+Q" might appear alongside the "Quit" menu item. Mnemonics are shortcuts for GUI elements such as text entries or buttons; they appear as underlined characters. . Menu items can have both accelerators and mnemonics, of course.

- Constructor
  2.12.0.0
  Default public constructor.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Event
  2.12.0.0
  GLib.Signal("accel_activate")
  Gtk.AccelActivateHandler
- Event
  2.12.0.0
  GLib.Signal("accel_changed")
  Gtk.AccelChangedHandler
- Method
  2.12.0.0
  System.Boolean `` `` `` `` a a a a Activates the accelerator. a
- Method
  2.12.0.0
  System.Void `` `` `` `` Key value of the accelerator. Modifier combination of the accelerator. A flag mask to configure this accelerator. Closure to be executed upon accelerator activation. Installs an accelerator in this group. When accel_group is being activated in response to a call to , closure will be invoked if the accel_key and accel_mods from match those of this connection. The signature used for the closure is that of . Note that, due to implementation details, a single closure can only be connected to one accelerator group.
- Method
  2.12.0.0
  System.Void `` `` Path used for determining key and modifiers. Closure to be executed upon accelerator activation Installs an accelerator in this group, using an accelerator path to look up the appropriate key and modifiers (see ). When the group is being activated in response to a call to , will be invoked if the accel_key and accel_mods from match the key and modifiers for the path.
- Method
  2.12.0.0
  System.Boolean `` The closure to remove from this accelerator group. Removes an accelerator previously installed through . if the closure was found and got disconnected
- Method
  2.12.0.0
  System.Boolean `` `` Key value of the accelerator. Modifier combination of the accelerator. Removes an accelerator previously installed through . if there was an accelerator which could be removed, otherwise.
- Method
  2.12.0.0
  Gtk.AccelKey `` a for filtering the AccelGroup entries Finds the first entry in an accelerator group for which returns TRUE and returns its . a , the first key matching the find function. It is owned by Gtk# and must not be freed.
- Method
  2.12.0.0
  Gtk.AccelGroup `` A GClosure () Finds the to which closure is connected. The to which is connected, or .
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.12.0.0
  System.Void Locks the given accelerator group. Locking an accelerator group prevents the accelerators contained within it to be changed duringb runtime. Refer to 'gtk_accel_map_change_entry ()' about runtime accelerator changes. If called more than once, it remains locked until has been called an equivalent number of times.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideAccelActivate", Type=typeof(Gtk.AccelGroup))
  System.Boolean `` `` `` a a a Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideAccelChanged", Type=typeof(Gtk.AccelGroup))
  System.Void `` `` `` a a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  Gtk.AccelGroupEntry `` `` `` Key value of the accelerator. Modifier combination of the accelerator. Location to return the number of entries found, or . Queries an accelerator group for all entries matching and . An array of elements, or .
- Method
  2.12.0.0
  System.Void Undoes the last call to on its object.